Subject: [alpine-aports] [PATCH] testing/s6-linux-utils: new aport r1

From: John Regan <[email-masked]>
Date: Thu, 26 Feb 2015 16:09:39 -0500

---
 testing/s6-linux-utils/APKBUILD | 50 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 50 insertions(+)
 create mode 100644 testing/s6-linux-utils/APKBUILD

diff --git a/testing/s6-linux-utils/APKBUILD b/testing/s6-linux-utils/APKBUILD
new file mode 100644
index 0000000..1b332ff
--- /dev/null
+++ b/testing/s6-linux-utils/APKBUILD
@@ -0,0 +1,50 @@
+# Contributor: John Regan <[email-masked]>
+# Maintainer: John Regan <[email-masked]>
+pkgname=s6-linux-utils
+pkgver=2.0.0.1
+pkgrel=1
+pkgdesc="skarnet.org's Linux-specific utilities."
+url="http://skarnet.org/software/$pkgname/"
+arch="all"
+license="ISC"
+depends="skalibs"
+depends_dev="skalibs-dev linux-headers"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--enable-shared \
+		--enable-static \
+		--disable-allstatic \
+		--prefix=/usr \
+		--libdir=/usr/lib \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="200f0dbb99c50926ebcb60accbbdcd80  s6-linux-utils-2.0.0.1.tar.gz"
+sha256sums="a2f2bdddd42fd8cb764ad4e83cf5162d6e68221bf0d37867f4bc32f748d8bf9c  s6-linux-utils-2.0.0.1.tar.gz"
+sha512sums="5b089dc3c1095fd91fceac0ed383466dc3c7e5822fb7597caaceb37d2d116bf085046f9a5ad307badb1b9e1c4a8341e4307fa1177f421b0f47d924beaf713c9d  s6-linux-utils-2.0.0.1.tar.gz"
-- 
2.2.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---